Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
trustpilot
/
reviews
/
task_get
/
{id}
Get Business Data Trustpilot Reviews Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/trustpilot/reviews/task_get/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.domain": "<string>",
  "result.type": "<string>",
  "result.se_domain": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.title": "<string>",
  "result.location": "<string>",
  "result.reviews_count": 123,
  "result.rating": {},
  "result.rating_type": "<string>",
  "result.value": 123,
  "result.votes_count": 123,
  "result.rating_max": 123,
  "result.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.rank_group": 123,
  "items.rank_absolute": 123,
  "items.position": "<string>",
  "items.url": "<string>",
  "items.rating": {},
  "items.rating_type": "<string>",
  "items.value": 123,
  "items.votes_count": 123,
  "items.rating_max": 123,
  "items.verified": true,
  "items.language": true,
  "items.timestamp": "<string>",
  "items.title": "<string>",
  "items.review_text": "<string>",
  "items.review_images": [
    "<string>"
  ],
  "items.user_profile": {},
  "items.name": "<string>",
  "items.image_url": "<string>",
  "items.location": "<string>",
  "items.reviews_count": 123,
  "items.responses": [
    "<string>"
  ],
  "items.text": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

task identifier unique task identifier in our system in the UUID format you will be able to use it within 30 days to request the results of the task at any time

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.domain
string

domain of the business entity

result.type
string

search engine type in a POST array

result.se_domain
string

search engine domain in a POST array

result.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.title
string

title of the ‘reviews’ element on Trustpilot the name of the business entity for which the reviews are collected

result.location
string

location of the business entity as specified on Trustpilot address of the business entity for which the reviews are collected

result.reviews_count
integer

the total number of reviews

result.rating
object

rating of the corresponding business entity popularity rate based on reviews and displayed in SERP

result.rating_type
string

type of rating here you can find the following elements: Max5, Percents, CustomMax

result.value
number

the average rating based on all reviews

result.votes_count
integer

the number of votes

result.rating_max
integer

the maximum value for a rating_type

result.items_count
integer

the number of items in the results array you can get more results by using the depth parameter when setting a task

items
string[]

found reviews you can get more results by using the depth parameter when setting a task

items.type
string

the review’s type possible review types: "trustpilot_review_search"

items.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

items.rank_absolute
integer

absolute rank among all the listed reviews absolute position among all reviews on the list

items.position
string

the alignment of the review in SERP can take the following values: right

items.url
string

URL to the reviewer’s profile

items.rating
object

the rating score submitted by the reviewer

items.rating_type
string

the type of the rating can take the following values: Max5

items.value
number

the value of the rating

items.votes_count
integer

the amount of feedback indicated the number of votes the review obtained

items.rating_max
integer

the maximum value for a rating_type the maximum value for Max5 is 5

items.verified
boolean

indicates whether the review has the “Verified” mark

items.language
boolean

the language of the review

items.timestamp
string

date and time when the response was published in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

items.title
string

title of the owner’s response

items.review_text
string

the content of the review

items.review_images
string[]

images submitted by the reviewer displays URLs to the images provided by the author of the review; please note that Trustpilot doesn’t allow adding images to reviews, so the review_images parameter will always equal null

items.user_profile
object

user profile of the reviewer

items.name
string

the name of the reviewer

items.image_url
string

URL to the reviewer’s profile picture

items.location
string

country of the reviewer

items.reviews_count
integer

total number of reviews submitted by the reviewer

items.responses
string[]

owner’s response to the submitted review

items.text
string

text of the owner’s response